package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.system.service.ISysDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/bgscreen/dept")
public class DeptController {
    @Autowired
    private ISysDeptService deptService;

    @GetMapping("/list")
    public AjaxResult  list(){
        SysDept dept=new SysDept();
        dept.setComFlag("1");
        List list=deptService.selectAllDeptList(dept);
        return  AjaxResult.success(list);
    }
}
